Clone Tools
  • last updated 29 mins ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Update nightly build to 4.17.0

  1. … 22 more files in changeset.
More version updates

  1. … 1 more file in changeset.
Update version to 4.16.1

  1. … 20 more files in changeset.
Update year to 2017

  1. … 65 more files in changeset.
FLEX-35084 add -broker-local-connection and -broker-product-manager options

    • -0
    • +32
    ./flex2/compiler/common/Configuration.java
    • -0
    • +4
    ./flex2/linker/LinkerConfiguration.java
    • -0
    • +22
    ./flex2/tools/oem/Configuration.java
  1. … 7 more files in changeset.
fix a couple of Java doc issues

    • -11
    • +11
    ./flex2/tools/oem/Configuration.java
update version to 4.16.0

  1. … 19 more files in changeset.
update year to 2016

  1. … 65 more files in changeset.
update a few more version vars so mustella test passes

Merge 4.14.1 release into develop

Conflicts:

CONTRIBUTORS

RELEASE_NOTES

frameworks/build.xml

  1. … 1 more file in changeset.
Compiler: fixed issue where adding an id to a fx:Vector when using -keep compiler argument would result in a compiler error because the wrong class was imported in the generated code for the bindable property.

getMultiName() in flex2.compiler.as3.binding.Info wasn't treating __AS3__.vec.Vector.<T> the same as __AS3__.vec:Vector.<T>, causing it to return the wrong namespace and class name.

    • -1
    • +10
    ./flex2/compiler/as3/binding/Info.java
Compiler: fixed an issue where adding a subclass of a Vector's type to the Vector in MXML would result in an internal build error because the subclass didn't get added as a dependency.

Example MXML that causes build error:

<fx:Vector type="mx.core.UIComponent">

<s:Button/>

</fx:Vector>

I discovered that it would work fine if another Button was added elsewhere in the MXML document, so I figured that somehow the Vector's items weren't checked for dependencies.

Fixed by passing the VectorNode to the same analyze() function used for ArrayNode in the private DependencyAnalyzer class in InterfaceCompiler at the end of the analyze() function for VectorNode. There is no analyze() function for ArrayNode, so I determined that it must fall back to the version with the parameter typed as Node. Originally, the analyze() function for VectorNode only grabbed the Vector's type as a dependency and didn't look at the items added to the Vector.

    • -0
    • +5
    ./flex2/compiler/mxml/InterfaceCompiler.java
Remove @author tags

    • -2
    • +0
    ./flash/css/StyleParserErrorTranslator.java
  1. … 966 more files in changeset.
Remove @author tags

    • -2
    • +0
    ./flash/css/StyleParserErrorTranslator.java
  1. … 966 more files in changeset.
Update version to 4.14.1

Signed-off-by: Erik de Bruin <erik@ixsoftware.nl>

  1. … 21 more files in changeset.
more copyright year updates

  1. … 65 more files in changeset.
more copyright year updates

  1. … 65 more files in changeset.
Revert "Merge commit '1884960242f835879f5ca6504659072a2305f120' into release4.14.0"

This reverts commit 7a051584552d332fc27e743b6ef83864a0737e53, reversing

changes made to 1884960242f835879f5ca6504659072a2305f120.

  1. … 44 more files in changeset.
Update version to 4.15.0

Signed-off-by: Erik de Bruin <erik@ixsoftware.nl>

  1. … 21 more files in changeset.
- Created a LegacyToolGroup - Fine-tuned the flex-tool-api implementation. - Converted DigestTool into a FlexTool

    • -0
    • +38
    ./flex2/tools/LegacyToolGroup.java
  1. … 1 more file in changeset.
Changed the tool classes to implement the flex-tool-api interfaces

  1. … 3 more files in changeset.
switch version to 4.14

  1. … 22 more files in changeset.
forgot to update this variable when switching versions

change version back to 4.13

  1. … 21 more files in changeset.
switch to 4.12.1

  1. … 3 more files in changeset.
FIX- FLEX-33421-Broken RequiresLicense metadata

update copyright year to 2014

  1. … 81 more files in changeset.
Changed version from 4.12 to 4.13

  1. … 2 more files in changeset.
Make 4.12 the new version - note that this was missed in 4.11

Make 4.12 the new version